package top.continew.admin.common.config.mq;

import org.springframework.amqp.core.Binding;
import org.springframework.amqp.core.BindingBuilder;
import org.springframework.amqp.core.DirectExchange;
import org.springframework.amqp.core.Queue;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class RabbitMQConfig {
    public static final String AIRDROP_QUEUE = "gold.coin.airdrop.queue";
    public static final String AIRDROP_EXCHANGE = "gold.coin.airdrop.exchange";

    @Bean
    public Queue airdropQueue() {
        return new Queue(AIRDROP_QUEUE, true, false, false);
    }


    @Bean
    public DirectExchange airdropExchange() {
        return new DirectExchange(AIRDROP_EXCHANGE, true, false);
    }

    @Bean
    public Binding bindingAirdrop() {
        return BindingBuilder.bind(airdropQueue())
                .to(airdropExchange())
                .with(AIRDROP_QUEUE);
    }
}
