package top.continew.admin.business.mq;

import com.alibaba.fastjson2.JSON;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.retry.annotation.Retryable;
import org.springframework.stereotype.Component;
import top.continew.admin.business.model.req.AirdropManagerReq;
import top.continew.admin.common.config.mq.RabbitMQConfig;

@Component
@Slf4j
public class AirdropMessageProducer {
    @Autowired
    private RabbitTemplate rabbitTemplate;

    @Retryable(backoff = @org.springframework.retry.annotation.Backoff(delay = 1000, multiplier = 2))
    public void sendMessage(AirdropManagerReq message) {
        log.info("发送消息：{}", message);
        String jsonString = JSON.toJSONString(message);
        rabbitTemplate.convertAndSend(RabbitMQConfig.AIRDROP_EXCHANGE, RabbitMQConfig.AIRDROP_QUEUE, jsonString);
    }
}
